﻿@model IQueryable<LoyaltyPointEngine.Model.Object.Redeem.PointHistoryModel>
@{
    ViewBag.Title = "Index";
    var _Member = ViewBag.Member;
    string StartDate = ViewBag.StartDate;
    string EndDate = ViewBag.EndDate;
}

<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Redeem History</h3>

        <div>
            <div class="col-md-12">
                <div class="col-md-3">
                  
                    <b>Member Name</b>
                </div>
                <div class="col-md-5">
                    <b>= @_Member.Name</b>
                </div>
            </div>
            <div class="col-md-12">
                <div class="col-md-3">
                    <b>Periode</b>
                </div>
                <div class="col-md-5">
                    <b>= @StartDate - @EndDate</b>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- /Page Header -->
<div class="row">
    <div class="col-md-12">
        <div class="widget">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i>List Redeem</h4>
            </div>

            <div class="widget-content">
        @Html.Grid(Model).Columns(columns =>
        {
            columns.Add(x => x.TransactionDate)
                .Titled("Date")
                .Encoded(false)
                .Sanitized(false)
                .Sortable(true)
                .RenderValueAs(x => x.TransactionDate.ToString("dd-MM-yyyy")).Filterable(true);

            columns.Add(x => x.TransactionCode)
                .Titled("TransactionCode")
                .Encoded(false)
                .Sanitized(false)
                .Sortable(true);

            columns.Add(x => x.Point)
                .Titled("Point")
                .Encoded(false)
                .Sanitized(false)
                .Sortable(true);

            columns.Add(x => x.TransactionType)
                .Titled("TransactionType")
                .Encoded(false)
                .Sanitized(false)
                .Sortable(true);
            
            columns.Add(x => x.Balance)
                .Titled("Balance")
                .Encoded(false)
                .Sanitized(false)
                .Sortable(true)
                .RenderValueAs(x => (x.IsVoid) ? (x.Balance+x.Point).ToString() : x.Balance.ToString());


            columns.Add()
                .Titled("Status")
                .Encoded(false)
                .Sanitized(false)
                .SetWidth(50)
                .Css("cell-center")
                .RenderValueAs(x => (x.IsVoid) ? "<span class=\"label label-danger\">Voided</span>" : "<span class=\"label label-success\">Approved</span>");


            //columns.Add()
            //    .Titled("Action")
            //    .Encoded(false)
            //    .Sanitized(false)
            //    .SetWidth(50)
            //    .Css("cell-center")
            //    .RenderValueAs(x => (x.IsVoid) ? string.Empty : string.Format("<a href=\"#\" onclick=\"VoidRedeem('{0}')\" class=\"btn btn-xs btn-warning\">Void</a>", x.TransactionCode));


        }).WithPaging(500)
            </div>
            <!-- .box-content -->

        </div>
        <!-- .box -->

    </div>
</div>



@section FooterScript{
    
    <script type="text/javascript">

        function VoidRedeem(val) {
            _url = '@Url.Action(MVC.Redeem.Void("99VOIDCODE99"))';
            _url = _url.replace("99VOIDCODE99", val);
            $.ajax({
                url: _url,
                timeout: 30000,
                success: function (msg) {
                    if (msg.Issuccess) {
                        alert("Void Success");
                        location.reload();
                    }
                    else
                        alert(msg.Message);
                },
                error: function (jqXHR, textStatus) {
                    alert('Error Occured'); //MESSAGE
                }
            })
        }
    </script>
}